Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Hive >> mail # user >> unable to setup eclipse environment base on trunk


Copy link to this message
-
RE: unable to setup eclipse environment base on trunk
I went and modified the .properties file to reference all these jars from /hivehome/build/ivy/default/ directory and that fixed the issue.

From: gemini alex [mailto:[EMAIL PROTECTED]]
Sent: Thursday, May 03, 2012 6:00 AM
To: [EMAIL PROTECTED]; [EMAIL PROTECTED]
Subject: Re: unable to setup eclipse environment base on trunk

Thanks, it fix the first issue, the builtin.jar still reference in classpath which cause eclipse complain about it.

2012/5/3 Wataru Yukawa <[EMAIL PROTECTED]<mailto:[EMAIL PROTECTED]>>
Hi

I also encountered a similar situation.

please try

wget https://issues.apache.org/jira/secure/attachment/12524106/HIVE-2902.3.patch.txt
patch -p0 < HIVE-2902.3.patch.txt
ant clean package eclipse-files
see https://issues.apache.org/jira/browse/HIVE-2902

Thanks

2012/5/3 gemini alex <[EMAIL PROTECTED]<mailto:[EMAIL PROTECTED]>>:
> Hi,
>     seems after HIVE-2990, The eclipse classpath still reference some jar on
> /build/hadoopcore/ directory. When use
> ant clean-eclipse-files clean package eclipse-files
> it generate :
> <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/hadoop-0.20.2-core.jar"/>
>   <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/hadoop-0.20.2-test.jar"/>
>   <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/hadoop-0.20.2-tools.jar"/>
>   <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/lib/servlet-api-2.5-6.1.14.jar"/>
>   <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/lib/jetty-6.1.14.jar"/>
>   <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/lib/jetty-util-6.1.14.jar"/>
> <classpathentry kind="lib"
> path="build/hadoopcore/hadoop-0.20.2/lib/commons-codec-1.4.jar"/>
> <classpathentry kind="lib" path="build/hadoopcore/libthrift-0.7.0.jar"/>
> <classpathentry kind="lib"
> path="build/builtins/hive-builtins-0.10.0-SNAPSHOT.jar"/>
>
> also the builtins.jar didn't not build by ant package or maybe it should not
> be in classpath. After point above jar to right directory manually, it seems
> that org.apache.hadoop.hive.ql.metadata.formatting.JsonMetaDataFormatter
> didn't not find the correct json package.
>
> Thanks
> Alex

NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB